"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const core_1 = require("@angular/core");
const platform_browser_1 = require("@angular/platform-browser");
const app_component_1 = require("./components/app.component");
const dashboard_component_1 = require("./components/dashboard/dashboard.component");
const app_routing_1 = require("./app.routing");
const forms_1 = require("@angular/forms");
const vehicle_component_1 = require("./components/citation-wizard/vehicle.component");
const infraction_component_1 = require("./components/citation-wizard/infraction.component");
const infractor_component_1 = require("./components/citation-wizard/infractor.component");
const summary_component_1 = require("./components/citation-wizard/summary.component");
const additional_comments_component_1 = require("./components/citation-wizard/additional-comments.component");
const citation_wizard_component_1 = require("./components/citation-wizard/citation-wizard.component");
const wizard_component_1 = require("./components/wizard/wizard.component");
const wizard_step_component_1 = require("./components/wizard/wizard-step.component");
const reaxium_component_1 = require("./components/reaxium/reaxium.component");
let AppModule = class AppModule {
};
AppModule = tslib_1.__decorate([
    core_1.NgModule({
        imports: [platform_browser_1.BrowserModule, app_routing_1.routing, forms_1.FormsModule, forms_1.ReactiveFormsModule],
        declarations: [app_component_1.AppComponent, reaxium_component_1.ReaxiumComponent, dashboard_component_1.DashboardComponent, vehicle_component_1.VehicleComponent,
            infraction_component_1.InfractionComponent, infractor_component_1.InfractorComponent, summary_component_1.SummaryComponent,
            additional_comments_component_1.AdditionalCommentsComponent, citation_wizard_component_1.CitationWizardComponent, wizard_component_1.WizardComponent, wizard_step_component_1.WizardStepComponent],
        bootstrap: [app_component_1.AppComponent]
    })
], AppModule);
exports.AppModule = AppModule;
//# sourceMappingURL=app.module.js.map