"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const router_1 = require("@angular/router");
const dashboard_component_1 = require("./components/dashboard/dashboard.component");
const citation_wizard_component_1 = require("./components/citation-wizard/citation-wizard.component");
const appRoutes = [
    {
        path: '',
        component: dashboard_component_1.DashboardComponent
    },
    {
        path: 'wizard',
        component: citation_wizard_component_1.CitationWizardComponent
    }
];
exports.routing = router_1.RouterModule.forRoot(appRoutes, { useHash: true });
//# sourceMappingURL=app.routing.js.map