"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const core_1 = require("@angular/core");
let AdditionalCommentsComponent = class AdditionalCommentsComponent {
    constructor() {
        this.emittedAdditionalComments = new core_1.EventEmitter();
        this.additionalCommentsView = [];
    }
    ngOnInit() {
        console.log('AdditionalComments Component initialized');
        this.emitAdditionalComments();
    }
    emitAdditionalComments() {
        this.emittedAdditionalComments.emit(this.additionalCommentsView);
    }
    addNewComment() {
        this.additionalCommentsView.push({
            additionalCommentId: this.additionalCommentsView.length + 1,
            comment: ''
        });
    }
    removeComment(index) {
        this.additionalCommentsView.splice(index, 1);
    }
};
tslib_1.__decorate([
    core_1.Input(),
    tslib_1.__metadata("design:type", Array)
], AdditionalCommentsComponent.prototype, "additionalComments", void 0);
tslib_1.__decorate([
    core_1.Output(),
    tslib_1.__metadata("design:type", core_1.EventEmitter)
], AdditionalCommentsComponent.prototype, "emittedAdditionalComments", void 0);
AdditionalCommentsComponent = tslib_1.__decorate([
    core_1.Component({
        moduleId: module.id,
        selector: 'additional-comment',
        templateUrl: 'templates/additional-comments.component.html'
    }),
    tslib_1.__metadata("design:paramtypes", [])
], AdditionalCommentsComponent);
exports.AdditionalCommentsComponent = AdditionalCommentsComponent;
//# sourceMappingURL=additional-comments.component.js.map