"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const core_1 = require("@angular/core");
let InfractionComponent = class InfractionComponent {
    constructor() {
        this.emittedInfractions = new core_1.EventEmitter();
        this.infractionsView = [
            {
                infractionId: 1,
                name: "Test infraction 1",
                description: "Test description for infraction number 1",
                selected: false,
                amount: 5
            },
            {
                infractionId: 2,
                name: "Test infraction 2",
                description: "Test description for infraction number 2",
                selected: false,
                amount: 2
            },
            {
                infractionId: 3,
                name: "Test infraction 3",
                description: "Test description for infraction number 3",
                selected: false,
                amount: 10
            },
            {
                infractionId: 4,
                name: "Test infraction 4",
                description: "Test description for infraction number 4",
                selected: false,
                amount: 1
            },
        ];
    }
    ngOnInit() {
        console.log('Infraction Component initialized');
    }
    toggleSelectedInfraction(infraction) {
        infraction.selected ? infraction.selected = false : infraction.selected = true;
        this.emittedInfractions.emit(this.infractionsView);
    }
};
tslib_1.__decorate([
    core_1.Input(),
    tslib_1.__metadata("design:type", Array)
], InfractionComponent.prototype, "infractions", void 0);
tslib_1.__decorate([
    core_1.Output(),
    tslib_1.__metadata("design:type", core_1.EventEmitter)
], InfractionComponent.prototype, "emittedInfractions", void 0);
InfractionComponent = tslib_1.__decorate([
    core_1.Component({
        moduleId: module.id,
        selector: 'infraction',
        templateUrl: 'templates/infraction.component.html'
    }),
    tslib_1.__metadata("design:paramtypes", [])
], InfractionComponent);
exports.InfractionComponent = InfractionComponent;
//# sourceMappingURL=infraction.component.js.map