import { Infractor } from "./infractor";
import { Vehicle } from "./vehicle";
import { Infraction } from './infraction';
import { AdditionalComments } from './additional-comments';
import {VehicleOwner} from "./vehicle-owner";

export interface Citation {

  citationId: string;

  issueDate: Date;

  citationNumber: string;

  infractor: Infractor;

  vehicle: Vehicle;

  infractions: Infraction[];

  additionalComments: AdditionalComments[];

  vehicleOwner: VehicleOwner
  

}
