import { OnInit } from "@angular/core";
import { Infractor } from "../citation-wizard/model/infractor";
import { Citation } from "../citation-wizard/model/citation";
import { AdditionalComments } from "./model/additional-comments";
import { Infraction } from "./model/infraction";
export declare class CitationWizardComponent implements OnInit {
    citation: Citation;
    rootDir: string;
    argunentsReceived: never[];
    constructor();
    ngOnInit(): void;
    onStepChange(event: any): void;
    onComplete(event: any): boolean;
    getInfractorFormArguments(consoleArguments: any[]): Infractor;
    initializeACitation(infractor: Infractor): void;
    getInfractionsChanged(infractions: Infraction[]): void;
    getCommentsChanged(comments: AdditionalComments[]): void;
}
