import { Component, OnInit, Input} from '@angular/core';
import { Infractor } from './model/infractor';

@Component({
   moduleId: module.id, 
   selector: 'infractor',
   templateUrl: 'templates/infractor.component.html',
})
export class InfractorComponent implements OnInit {

  @Input() infractor: Infractor;

  races: Array<string> = [ 'White', 'Black'];

  ethnicOrigins: Array<string> = [ 'Non-Hispanic', 'Hispanic'];

  constructor(){}

  ngOnInit(): void {

      console.log('Infractor initialized')

  }

  checkIfFieldIsEmpty(field)
  {
      if(field != null || field != undefined)
      {
          return true;
      }
      else
      {
          return false;
      }
  }

}