"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const core_1 = require("@angular/core");
let SummaryComponent = class SummaryComponent {
    constructor() { }
    ngOnInit() {
        console.log('Summary Component initialized');
    }
    getInfractionsTotal() {
        let total = 0;
        if (this.citation.infractions.length > 0) {
            total = this.citation.infractions.reduce((sum, item) => sum + item.amount, 0);
        }
        return total;
    }
};
tslib_1.__decorate([
    core_1.Input(),
    tslib_1.__metadata("design:type", Object)
], SummaryComponent.prototype, "citation", void 0);
SummaryComponent = tslib_1.__decorate([
    core_1.Component({
        moduleId: module.id,
        selector: 'summary',
        templateUrl: 'templates/summary.component.html'
    }),
    tslib_1.__metadata("design:paramtypes", [])
], SummaryComponent);
exports.SummaryComponent = SummaryComponent;
//# sourceMappingURL=summary.component.js.map